ru.bitel.bgbilling.modules.voice.access.om.event

## Class OmVoiceAccountStateModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.voice.access.om.event.OmVoiceAccountStateModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmVoiceAccountStateModifyEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmVoiceAccountStateModifyEvent(int moduleId, int contractId, int deviceId, int voiceAccountId, short state)`
    `OmVoiceAccountStateModifyEvent(int moduleId, VoiceAccount account, short state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `ru.bitel.bgbilling.modules.voice.access.om.AccountOrderEvent` | `toAccountOrderEvent(ru.bitel.bgbilling.modules.voice.runtime.VoiceApplication application)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmVoiceAccountStateModifyEvent

          public OmVoiceAccountStateModifyEvent(int moduleId,
                                                VoiceAccount account,
                                                short state)

    - #### OmVoiceAccountStateModifyEvent

          public OmVoiceAccountStateModifyEvent(int moduleId,
                                                int contractId,
                                                int deviceId,
                                                int voiceAccountId,
                                                short state)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### toAccountOrderEvent

          public ru.bitel.bgbilling.modules.voice.access.om.AccountOrderEvent toAccountOrderEvent(ru.bitel.bgbilling.modules.voice.runtime.VoiceApplication application)

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`